INCLUDES=-I${top_srcdir} -I${top_builddir} @AKAXISO2_INCLUDES@ @CPPUNIT_INCLUDES@

check_PROGRAMS=testakaxiso testleak encoding

testakaxiso_SOURCES=run.cpp \
	unicodeTest.cpp \
	emptiableTest.cpp \
	anyDocumentTest.cpp \
	ptrmemberTest.cpp \
	anyAllTest.cpp \
	anyChoiceTest.cpp \
	anySequenceTest.cpp \
	allTest.cpp \
	simpleContentTest.cpp \
	arrayTest.cpp \
	anyattrTest.cpp \
	sequenceTest.cpp \
	attributeTest.cpp \
	choiceTest.cpp \
	encodingTest.cpp \
	namespaceTest.cpp \
	simpleTypeTest.cpp 

testakaxiso_LDADD=${top_builddir}/akaxiso2/libakaxiso2.la
testakaxiso_DEPENDENCIES=${testakaxiso_LDADD}
testakaxiso_LDFLAGS=@CPPUNIT_LDFLAGS@ @AKAXISO2_LDFLAGS@


testleak_SOURCES=testleak.cpp

testleak_LDADD=${top_builddir}/akaxiso2/libakaxiso2.la
testleak_DEPENDENCIES=${testleak_LDADD}
testleak_LDFLAGS=@AKAXISO2_LDFLAGS@

encoding_SOURCES=encoding.cpp
encoding_LDADD=${top_builddir}/akaxiso2/libakaxiso2.la
encoding_DEPENDENCIES=${encoding_LDADD}
encoding_LDFLAGS=@AKAXISO2_LDFLAGS@


test: ${top_builddir}/${subdir}/sjis_test.xml testakaxiso
	@if ! test -f sjis_test.xml ; then ln -sf ${top_srcdir}/${subdir}/sjis_test.xml . ; fi
	./testakaxiso --compiler

